--- title: "getCostRelationCodeList" slug: "platform-costandusage-getcostrelationcodelist" updated: 2026-09-17T09:35:54Z published: 2026-09-17T09:35:54Z canonical: "api.ncloud-docs.com/platform-costandusage-getcostrelationcodelist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getCostRelationCodeList Available in Classic and VPC View the list of cost association codes. You can use cost association codes in the View usage ([getContractUsageList](/docs/en/platform-costandusage-getcontractusagelist), [getContractUsageListByDaily](/docs/en/platform-costandusage-getcontractusagelistbydaily)) or cost([getContractDemandCostList](/docs/en/platform-costandusage-getcontractdemandcostlist), [getProductDemandCostList](/docs/en/platform-costandusage-getproductdemandcostlist)) APIs. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /cost/getCostRelationCodeList | ### Request headers For headers common to all Cost and usage APIs, see [Cost and usage common headers](/docs/en/platform-costandusage#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters The following describes the parameters. | Field | Type | Required | Description | | --- | --- | --- | --- | | `contractTypeCode` | String | Optional | Contract type code | | `productItemKindCode` | String | Optional | Product item type code | | `productRatingTypeCode` | String | Optional | Product charge type code | | `meteringTypeCode` | String | Optional | Metering type code | | `productCategoryCode` | String | Optional | Product category code - Check through the [getProductCategoryList](/docs/en/platform-listprice-getproductcategorylist) action | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://billingapi.apigw.ntruss.com/billing/v1/cost/getCostRelationCodeList?contractTypeCode=VSVR&productItemKindCode=VSVR' --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [CostRelationCodeList](/docs/en/common-vapidatatype-costrelationcodelist) for the response body. ### Response status codes For response status codes common to NAVER Cloud Platform, see [Ncloud API response status codes](/docs/en/common-ncpapi#3%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 46ab577a-****-****-****-09d8716f0019 0 success 2 VSVR Server(VPC) VSVR VPC Server VSVR VPC Server VSVR VPC Server VSVR Server (VPC) VSVR VPC Server VSVR Server(VPC) COMPUTE Compute VSVR Server(VPC) VSVR VPC Server VSVR VPC Server VSVRT Server (VPC) Stop Usage VSVR Server (VPC) VSVRT Server (VPC) Stop Usage VSVR Server(VPC) COMPUTE Compute ```